
(* start of data file d_heise1.m *)
(* Heisenberg case. March 21, 2005 for paper IJQC *)

debug = True;

(* Heisenberg System or Landau-Lifshitz equations *)
(* Nicely cyclish *)

eq[1][x,t] = D[u[1][x,t],t] - u[2][x,t]*D[u[3][x,t],{x,2}] +
             u[3][x,t]*D[u[2][x,t],{x,2}] - (cc-bb)*u[2][x,t]*u[3][x,t];

eq[2][x,t] = D[u[2][x,t],t] - u[3][x,t]*D[u[1][x,t],{x,2}] +
             u[1][x,t]*D[u[3][x,t],{x,2}] - (aa-cc)*u[3][x,t]*u[1][x,t];

eq[3][x,t] = D[u[3][x,t],t] - u[1][x,t]*D[u[2][x,t],{x,2}] +
             u[2][x,t]*D[u[1][x,t],{x,2}] - (bb-aa)*u[1][x,t]*u[2][x,t];

noeqs = 3;

name = "Heisenberg System";
(* aa = 1/2; *)

parameters = {};

(* weightu[1] = 1; *)

weightpars = {aa,bb,cc};

formrho[x,t] = {};

(* end of data file d_heise1.m *)
