(* data file d_riemabg.m *)

(* Last Updated:  27 May, 2007, 14:05 by WH at CRM *)

debug = False;

(* Riemann Equations in a = R+ and b = R- *)
(* Riemann Equations, ab system with extra terms, for condens code *)

eq[1][x,t] = 
     D[u[1][x, t], t] - u[2][x, t]*D[u[1][x, t], x];


(* - aa*u[2][x,t]^2; *)
(* (aa*u[x,t]^3+bb*u[x,t]^2*v[x,t]+cc*u[x,t]*v[x,t]^2+dd*v[x,t]^3); *)

eq[2][x,t] =
     D[u[2][x, t], t] - u[1][x, t]*D[u[2][x, t], x];

(* - bb*u[1][x,t]^2; *)
(* (aaa*u[x,t]^3+bbb*u[x,t]^2*v[x,t]+ccc*u[x,t]*v[x,t]^2+ddd*v[x,t]^3); *)

noeqs = 2;
name = "Riemann Equations in R+ and R-";
parameters = {};
(* weightpars = {aa,bb}; *)
weightpars = {};

(**** user can supply the rhorank and/or the name for the output file  ****)

(* rhorank = 6; *)
(* myfile = "kdvr6.o"; *) 

(**** user can give the weights of u[1] and partial t, make  ****)
(**** sure they are correct! If not, you will see!           ****)

(* weightu[1] = 2; *)
(* weight[t] = 3;  *)  

formrho[x,t] = {};  

(**** user can supply the form of rho ****)

(* for rank 6: *)
(* 
formrho[x,t] = {c[1]*u[1][x,t]^3+c[2]*D[u[1][x,t],x]^2}; 
*) 
(* for rank 8: *)
(*
formrho[x,t] = {c[1]*u[1][x,t]^4+c[2]*u[1][x,t]*D[u[1][x,t],x]^2+
                c[3]*D[u[1][x,t],{x,2}]^2+
                c[4]*D[u[1][x,t],x]*D[u[1][x,t],{x,3}]}; 
*)

(* d_riemab.m *)
(* end of file *)
